Class List Method List File List

# Module: Yast::SambaClientWizardsInclude

Defined in:
  ../../src/include/samba-client/wizards.rb

## Instance Method Summary (collapse)

- - (Object) initialize_samba_client_wizards(include_target)
- - (Object) SambaClientAutoSequence

  Whole configuration of samba-client but without reading and writing.

- - (Object) SambaClientSequence

  Whole configuration of samba-client.

## Instance Method Details

### - (`Object`) initialize_samba_client_wizards(include_target)

    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    # File '../../src/include/samba-client/wizards.rb', line 30

    def initialize_samba_client_wizards(include_target)
      Yast.import "UI"

      textdomain "samba-client"

      Yast.import "Wizard"
      Yast.import "Label"
      Yast.import "Samba"
      Yast.import "Sequencer"

      Yast.include include_target, "samba-client/complex.rb"
      Yast.include include_target, "samba-client/dialogs.rb"
    end

### - (`Object`) SambaClientAutoSequence

Whole configuration of samba-client but without reading and writing. For use with autoinstallation.

Returns:

- sequence result

    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    # File '../../src/include/samba-client/wizards.rb', line 72

    def SambaClientAutoSequence
      # translators: initialization dialog caption
      caption = _("Samba Client Configuration")
      # translators: initialization dialog contents
      contents = Label(_("Initializing..."))

      Wizard.CreateDialog
      Wizard.SetContentsButtons(
        caption,
        contents,
        "",
        Label.BackButton,
        Label.NextButton
      )

      ret = MembershipDialog()

      UI.CloseDialog
      Samba.globals_configured = true if ret != :abort

      Convert.to_symbol(ret)
    end

### - (`Object`) SambaClientSequence

Whole configuration of samba-client

Returns:

- sequence result

    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    # File '../../src/include/samba-client/wizards.rb', line 46

    def SambaClientSequence
      aliases = {
        "read"  => [lambda { ReadDialog() }, true],
        "main"  => lambda { MembershipDialog() },
        "write" => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start" => "read",
        "read"     => { :abort => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => "write", :back => :back },
        "write"    => { :abort => :abort, :next => :next }
      }

      Wizard.CreateDialog
      Wizard.SetDesktopTitleAndIcon("samba-client")

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      Convert.to_symbol(ret)
    end